Rails.application.routes.draw do
  resources :products
  devise_for :users

  resources :students
  resources :incomes do
    collection do
      get 'report'
    end
  end
  get 'incomes/report', to: 'incomes#report', as: :income_report
  resources :expenses do
    collection do
      get 'report'
    end
  end
  get 'expenses/report', to: 'expenses#report', as: :expense_report
  resources :exclusive_traditional_records
  resources :ziyaras
  resources :programs
  resources :institutions do
    resources :students
  end

  get "up" => "rails/health#show", as: :rails_health_check
  get 'contact', to: 'institutions#contact'


  root "institutions#index"


end
